package ExGPS.GreenRoomband.com;

import android.app.Activity;
import android.os.Bundle;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.util.Log;
import android.content.*;
import android.widget.*;



public class ExGPS extends Activity implements LocationListener {
    /** Called when the activity is first created. */
	private LocationManager lm;
	private TextView mTextViewLati, mTextViewLongi;

	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        lm = (LocationManager) getSystemService (Context.LOCATION_SERVICE);
        lm.requestLocationUpdates(LocationManager.GPS_PROVIDER, 1l,1l, this);
        mTextViewLati = (TextView)findViewById(R.id.TextView01);
        mTextViewLongi = (TextView)findViewById(R.id.TextView02);
        
    }
	@Override
	        public void onLocationChanged(Location arg0) {
	                 String lat = String.valueOf(arg0.getLatitude());
	                 String lon = String.valueOf(arg0.getLongitude());
	                 //Log.e("GPS", "location changed: lat="+lat+", lon="+lon);
	                 mTextViewLati.setText(lat);
	                 mTextViewLongi.setText(lon);
	                 
	}
	         public void onProviderDisabled(String arg0) {
	                 //Log.e("GPS", "provider disabled " + arg0);
	         }
	         public void onProviderEnabled(String arg0) {
	                 //Log.e("GPS", "provider enabled " + arg0);
	         }
	         public void onStatusChanged(String arg0, int arg1, Bundle arg2) {
	                 //Log.e("GPS", "status changed to " + arg0 + " [" + arg1 + "]");
	         }

}